Oracle Solaris Third-Party Patch Update : proftpd (cve_2011_4130_use_after)

This script is Copyright (C) 2015 Tenable Network Security, Inc.


Synopsis :

The remote Solaris system is missing a security patch for third-party
software.

Description :

The remote Solaris system is missing necessary patches to address
security updates :

- Use-after-free vulnerability in the Response API in
ProFTPD before 1.3.3g allows remote authenticated users
to execute arbitrary code via vectors involving an error
that occurs after an FTP data transfer. (CVE-2011-4130)

See also :

http://www.nessus.org/u?b5f8def1
https://blogs.oracle.com/sunsecurity/entry/cve_2011_4130_use_after

Solution :

Upgrade to Solaris 11/11 SRU 03.

Risk factor :

High / CVSS Base Score : 9.0
(CVSS2#AV:N/AC:L/Au:S/C:C/I:C/A:C)

Family: Solaris Local Security Checks

Nessus Plugin ID: 80742 ()

Bugtraq ID:

CVE ID: CVE-2011-4130

Ready to Amp Up Your Nessus Experience?

Get Nessus Professional to scan unlimited IPs, run compliance checks & more

Buy Nessus Professional Now